var speed = 20; //数字越大速度越慢

function setMarqueen(tabid)
{
	var tab = document.getElementById(tabid);
	
	var tab1, tab2;
	
	if( tab.childNodes.length > 1 )
	{
		tab1 = tab.childNodes[1].childNodes[1].childNodes[0].childNodes[1];
		tab2 = tab.childNodes[1].childNodes[1].childNodes[0].childNodes[3];
	}
	else
	{
		tab1 = tab.childNodes[0].childNodes[0].childNodes[0].childNodes[0];
		tab2 = tab.childNodes[0].childNodes[0].childNodes[0].childNodes[1];
	}

	tab2.innerHTML = tab1.innerHTML;

	setInterval(function()
	{	
		//横向
		if( tab1.offsetWidth - tab.scrollLeft <= 0 )
		{
			//alert( tab1.offsetWidth - tab.scrollLeft );
			
			tab.scrollLeft-=tab1.offsetWidth;
		}
		else
			tab.scrollLeft++;

		//纵向
		//if(tab2.offsetTop-tab.scrollTop <= 1)	//当滚动至demo1与demo2交界时
		//	tab.scrollTop-=tab1.offsetHeight 	//demo跳到最顶端
		//else
		//	tab.scrollTop++
	},speed);
}